%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%endif
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}

%define subrel 2

%define language it
%define locale %(echo %language|sed -e 's/-.*//g')
%define langname Italian
%define name mozilla-firefox-%{locale}
%define version 1.5.0.6
%define release %mkrel 1
%define _buildroot %{_tmppath}/%{name}-buildroot
%define firefox_version %version
%define mozillalibdir %{_libdir}/mozilla-firefox-%{firefox_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{firefox_version}/linux-i686/xpi/

Summary: %{langname} interface for Firefox 
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{xpidir}/%language.xpi
License: GPL
Group: Networking/WWW
Url: http://www.mozilla.org/products/firefox/
BuildRoot: %{_buildroot}
Requires: mozilla-firefox = %{firefox_version}
Requires: locales-%{locale}

%description
%{langname} localisation for Firefox

%prep
%setup -q -c
# put this to our current version
sed -i -e 's/maxVersion>.*</maxVersion>%{version}</g' install.rdf


%build

%install
rm -rf %buildroot
# Jar for the translation
mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/
cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-%{locale}@firefox.mozilla.org/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_libdir/mozilla-firefox-%{firefox_version}/extensions/langpack-%{locale}@firefox.mozilla.org

%changelog
* Thu Aug 17 2006 Vincent Danen <vdanen@mandriva.com> 1.5.0.6-0.2
- use some sed magic to set the maxVersion to the current version

* Fri Aug 11 2006 Vincent Danen <vdanen@mandriva.com> 1.5.0.6-0.1
- rebuild for firefox 1.5.0.6
- add mkrel support for corp3

* Mon Feb 20 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.1-2mdk
- Fix file permissions
- Fix buildrequires

* Thu Feb 02 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.0.1-1mdk
- New release 1.5.0.1

* Wed Jan 25 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-2mdk
- Rebuild

* Tue Oct 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.7-1mdk
- New release 1.0.7

* Thu Jul 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.6-1mdk
- 1.0.6

* Mon May 31 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-2mdk
- Run db rebuild script only when it exists

* Thu May 24 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.4-1mdk
- 1.0.4 

* Sat Apr 09 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.0.2-2mdk
- Really rebuild for 1.0.2

* Thu Mar 24 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- rebuild for Firefox 1.0.2

* Tue Mar 15 2005 Yuri Bugelli <yuri.bugelli@virgilio.it> 1.0.1-1mdk
- new release 1.0.1
- fix file permissions
- make package architecture dependant
- fix firefox version

* Thu Feb 17 2005 Stefan van der Eijk <stefan@eijk.nu> 1.0-4mdk
- fix bug #6574

* Wed Dec 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-3mdk
- fix rc file

* Wed Dec 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- readd lost fixes from Yuri Bugelli's package
  - add missing dom inspector ressources to the rc file
  - don't unzip the translation file

* Wed Dec 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- initial package based on the es one
